
#define _XTAL_FREQ 16000000
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "ks0108.h"
#include <delays.h>

void KS_enable(void)
{
    KS_EN = 1;
    __delay_us(5);
    KS_EN = 0;
    __delay_us(5);
}

void KS_reset(void)
{
    KS_RST = 0;
    __delay_us(10);
    KS_RST = 1;    
}

void KS_write_command(unsigned char command)
{
    KS_RS  = 0;
    KS_RW  = 0;
    KS_PORT = command;
    KS_enable();
}

void KS_write_data(unsigned char data)
{
    KS_RS  = 1;
    KS_RW  = 0;
    KS_PORT = data;
    KS_enable();
}

void KS_config(void)
{
    KS_reset();
    KS_CSA = 1;
    KS_CSB = 1;
    KS_write_command(0x3F);       
}

void KS_start_line(unsigned char line)
{
    KS_write_command(line | 0xC0);
}

void KS_set_x (unsigned char x)
{
    if (x < 64)
    {
        KS_CSA = 1;
        KS_CSB = 0;
    }
    else
    {
        KS_CSA = 0;
        KS_CSB = 1;
        x = x-64;
    }
    KS_write_command((x | 0x40) & 0x7F);
}

void KS_set_y (unsigned char y)
{
    KS_write_command((y | 0xB8) & 0xBF);
}



